import numpy
import matplotlib
matplotlib.use('Agg')
import pylab
params =  {'text.usetex': True }
pylab.rcParams.update(params)

matplotlib.rcParams.update({
        "font.size": 7.0,
        "axes.titlesize": 7.0,
        "axes.labelsize": 7.0,
        "xtick.labelsize": 10.0,
        "ytick.labelsize": 10.0,
        "legend.fontsize": 6.0,
        "figure.figsize": (3,3),
        "figure.dpi": 600,
        "subplots.left": 0.05,
        "subplots.right": 0.05,
        "subplots.bottom": 0.05,
        "subplots.top": 0.05,
        "savefig.dpi": 600,
        "text.usetex": True 
})

ligo4k = numpy.loadtxt('data/ligo4k_design.txt')
ligo2k = numpy.loadtxt('data/ligo2k_design.txt')
f = numpy.loadtxt('data/frequency.txt')
H1asd5th = numpy.loadtxt('data/H1_asd_5th.txt')
H1asd95th = numpy.loadtxt('data/H1_asd_95th.txt')
L1asd5th = numpy.loadtxt('data/L1_asd_5th.txt')
L1asd95th = numpy.loadtxt('data/L1_asd_95th.txt')
H2asd5th = numpy.loadtxt('data/H2_asd_5th.txt')
H2asd95th = numpy.loadtxt('data/H2_asd_95th.txt')



pylab.fill_between(f[:],H1asd5th[:],H1asd95th[:],facecolor='red',edgecolor='none',alpha=0.8)
pylab.fill_between(f[:],H2asd5th[:],H2asd95th[:],facecolor='blue',edgecolor='none',alpha=0.8)
pylab.fill_between(f[:],L1asd5th[:],L1asd95th[:],facecolor='green',edgecolor='none',alpha=0.8)
pylab.loglog(ligo4k[:,0],ligo4k[:,1],'k-',lw=1,label='Initial LIGO 4-km design')
pylab.loglog(ligo2k[:,0],ligo2k[:,1],'k-.',lw=1,label='Initial LIGO 2-km design')
pylab.xlim([1e1,2e3])
pylab.ylim([1e-23,5e-20])
pylab.legend(bbox_to_anchor=(0.99, 1), borderpad=2,borderaxespad=0.,markerscale=1.0)
pylab.grid(which='minor')
pylab.xlabel(r'Frequency (Hz)')
pylab.ylabel(r'ASD $~(1/\sqrt{\mathrm{Hz}})$')
pylab.savefig('figures/quantiles_all' + '_spectra.png',bbox_inches='tight')





